Name:		perl-Digest-SHA-PurePerl
Version: 	5.48
Release:	4.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Digest::SHA::PurePerl
URL: 		http://search.cpan.org/~mshelor/
Source0: 	Digest-SHA-PurePerl-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl openssl-devel

%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
Perl implementation of SHA-1/224/256/384/512  

%prep
%setup -q -n Digest-SHA-PurePerl-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc README
%{_bindir}/shasum
%dir %{perl_vendorlib}/Digest
%dir %{perl_vendorlib}/Digest/SHA
%{perl_vendorlib}/Digest/SHA/PurePerl.pm
%dir %{perl_vendorarch}/auto/Digest
%dir %{perl_vendorarch}/auto/Digest/SHA
%{_mandir}/man1/shasum.1*
%{_mandir}/man3/Digest::SHA::PurePerl.3pm*

%changelog
* Sat Jul 12 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build, needed by amavisd-new / DKIM.
